<?php

/**

* @version		1.1

* @package		DJ Classifieds

* @subpackage	DJ Classifieds Component

* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.

* @license		http://www.gnu.org/licenses GNU/GPL

* @autor url    http://design-joomla.eu

* @autor email  contact@design-joomla.eu

* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu

* 

* 

* DJ Classifieds is free software: you can redistribute it and/or modify

* it under the terms of the GNU General Public License as published by

* the Free Software Foundation, either version 3 of the License, or

* (at your option) any later version.

*

* DJ Classifieds is distributed in the hope that it will be useful,

* but WITHOUT ANY WARRANTY; without even the implied warranty of

* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the

* GNU General Public License for more details.

*

* You should have received a copy of the GNU General Public License

* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.

* 

*/

defined ('_JEXEC') or die('Restricted access');



jimport('joomla.application.component.view');





class DJClassifiedsViewShow extends JView



{



	function display($tpl = null)



	{

		global $mainframe;

		$par =& $mainframe->getParams('com_djclassifieds');

		jimport('joomla.html.pagination');

		JHTML::_( 'behavior.modal' );

		

		$model =& $this->getModel();

		$cat_list=$model->getCategories();



		$main_name = $model->makePathway($cat_list);

		

		$this->assignRef('model',$model);

		$this->assignRef('cat_list',$cat_list);

		$this->assignRef('main_name', $main_name);

		$this->assignRef('par', $par);



        parent::display($tpl);

	}



}









